This page is a work in progress. You can help by suggesting edits!

## Jekyll

- jekyll-avatar
- jekyll-coffeescript
- jekyll-default-layout
- jekyll-feed
- jekyll-gist
- jekyll-github-metadata
- jekyll-mentions
- jekyll-optional-front-matter
- jekyll-paginate
- jekyll-readme-index
- jekyll-redirect-from
- jekyll-relative-links
- jekyll-sass-converter
- jekyll-seo-tag
- jekyll-sitemap

As of github-pages v156. For an updated list, see: Dependency versions (pages.github.com)

## GitHub Metadata

### Configuration

    plugins:
      - jekyll-github-metadata

    repository: username/project

Put this in your `_config.yml`. See: Repository metadata on GitHub pages

### Listing repos

    {% for repository in site.github.public_repositories %}
      <a href='{{ repository.html_url }}'>
        {{ repository.name }}
      </a>
    {% endfor %}

### Link to repo

    <a href='{{ site.github.repository_url }}'>
      {{ site.github.project_title }}
    </a>

## Gists

### Configuration

    plugins:
      - jekyll-gist

See: jekyll-gist

### Usage

    {% gist parkr/c08ee0f2726fd0e3909d %}

This places a Gist in your page.

## Mentions

### Configuration

    plugins:
      - jekyll-mentions

See: jekyll-mentions

### Usage

    Hey @rstacruz, what do you think of this?

Just mention anyone in any page. Their names will be turned into links.

## Redirects

### Configuration

    plugins:
        - jekyll-redirect-from

See: jekyll-redirect-from

### Usage

    ---
    redirect_from:
      - /foo
    ---

Place on any page.

### Redirecting

    ---
    redirect_to:
      - /foo
    ---

Place on any page. See: redirect to

0 Comments for this cheatsheet. Write yours!